<template>
  <div class="menu-content-sized-container">
    <sub-main :contents="contents"> </sub-main>
  </div>
</template>

<script>
export default {
  head: {
    title: 'Wallets | THORChain.org',
    meta: [
        { property: "og:locale", content: "en_US" },
        { property: "og:type", content: "website" },
        { property: "og:title", content: "Wallets | THORChain.org" },
        {
          property: "og:description",
          content:
            "THORChain aims to decentralize cryptocurrency liquidity via a network of public THORNodes and ecosystem products. Access to its native and cross-chain liquidity is open to any person, product or institution.",
        },
        { property: "og:url", content: process.env.baseUrl },
        { property: "og:site_name", content: "THORChain" },
        {
          property: "og:image",
          content: process.env.baseUrl + "/images/meta-wallets.png",
        },
        { property: "og:image:width", content: "876" },
        { property: "og:image:heigh", content: "438" },
        { name: "twitter:creator", content: "@thorchain" },
        { name: "twitter:site", content: "@thorchain" },
        { name: "twitter:title", content: "Wallets | THORChain.org" },
        {
          name: "twitter:description",
          content:
            "THORChain aims to decentralize cryptocurrency liquidity via a network of public THORNodes and ecosystem products. Access to its native and cross-chain liquidity is open to any person, product or institution.",
        },
        { name: "twitter:card", content: "summary_large_image" },
        {
          name: "twitter:image",
          content: process.env.baseUrl + "/images/meta-wallets.png",
        },
      ],
  },
  data() {
    return {
      contents: [
        {
          component: "header",
          settings: {
            title: "Wallets",
          },
        },
        {
          component: "halved",
          settings: {
            left: {
              title: "RUNE Ready",
              text: "The community has developed a variety of wallets, each supported by numerous THORChain interfaces.",
              scrolls: [
                { text: "XDEFI", id: "xdefi" },
                { text: "Ledger", id: "ledger" },
              ],
            },
            right: [
              {
                component: "halved",
                left: [
                  {
                    component: "text",
                    title: "XDEFI Wallet",
                  },
                  {
                    component: "button",
                    buttons: [{ text: "Browser Extension",linkProps: this.$links('wallets_xdefi_browser_extension')}],
                  },
                  {
                    component: "button",
                    buttons: [{ text: "Twitter",linkProps: this.$links('wallets_xdefi_twitter')}],
                  },
                  {
                    component: "button",
                    buttons: [{ text: "Telegram",linkProps: this.$links('wallets_xdefi_telegram')}],
                  },
                  {
                    component: "button",
                    buttons: [{ text: "Discord",linkProps: this.$links('wallets_xdefi_discord')}],
                  },
                  {
                    component: "table",
                    cols: ["Enviroment", "Web Desktop / Chrome / Brave"],
                  },
                  {
                    component: "table",
                    cols: [
                      "Supported Chains",
                      "BTC / ETH / BNB / BSC / \n LTC / BCH / MATIC / THOR",
                    ],
                  },
                  {
                    component: "table",
                    cols: ["Ledger Import", "✅"],
                  },
                  {
                    component: "table",
                    cols: ["THORName Service", "✅"],
                  },
                ],
                right: [
                  {
                    component: "image",
                    src: require("~/assets/images/wallets/xdefi.svg"),
                    positionRight: "-130px",
                    positionTop: "70px",
                    extraCSS: {
                      background:
                        "linear-gradient(180deg, #203FE0 18%, #101A56 100%)",
                      objectFit: "none",
                    },
                  },
                ],
              },
              {
                component: "halved",
                left: [
                  {
                    component: "text",
                    title: "Ledger",
                  },
                  {
                    component: "button",
                    buttons: [{ text: "Discord",linkProps: this.$links('wallets_thorchain_dev_hardware_wallets_discord')}],
                  },
                  {
                    component: "table",
                    cols: ["Enviroment", "Hardware / Cold Wallet"],
                  },
                  {
                    component: "table",
                    cols: [
                      "Supported Chains",
                      "Enable Developer mode under experimental features settings",
                    ],
                  },
                ],
                right: [
                  {
                    component: "image",
                    src: require("~/assets/images/wallets/ledger.svg"),
                    positionTop: "50%",
                    positionRight: "50%",
                    extraCSS: {
                      background: "#FFF",
                    },
                  },
                ],
              },
            ],
          },
        },
      ],
    };
  },
};
</script>

<style>
</style>